Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.algorithms
Interface Alignment.Costs

All Known Implementing Classes:
  Alignment.SimpleCosts

Enclosing class:
  Alignment

    public static interface Alignment.Costs

The general interface for the costs of an alignment.

Author:
  Jan Grau

Nested Class Summary
`static class` | `Alignment.Costs.Direction` The direction of the predecessor in the DP (dynamic programming)-matrix.

Method Summary
`double` | `getCostFor(Sequence s1, Sequence s2, int i, int j, Alignment.Costs.Direction from)` Returns the costs for the alignment if `s1(i)` and `s2(j)` coming from `from`.
`double` | `getElongateCosts()` Returns the costs to elongate a gap by one position.
`double` | `getGapCostsFor(int length)` Returns the costs for a gap of length `length`.

Method Detail

### getCostFor

    double getCostFor(Sequence s1,
                      Sequence s2,
                      int i,
                      int j,
                      Alignment.Costs.Direction from)

  Returns the costs for the alignment if `s1(i)` and `s2(j)` coming from `from`.

  Parameters:
    `s1` - the first sequence
    `s2` - the second sequence
    `i` - the index in the first sequence
    `j` - the index in the second sequence
    `from` - the direction within the DP-matrix
  Returns:
    the costs

### getGapCostsFor

    double getGapCostsFor(int length)

  Returns the costs for a gap of length `length`.

  Parameters:
    `length` - the length of the gap
  Returns:
    the corresponding costs

### getElongateCosts

    double getElongateCosts()

  Returns the costs to elongate a gap by one position.

  Returns:
    the corresponding costs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD